Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-02-2018 17:03:36

Neuromancien
Membre
Inscription : 03-02-2015

Erreur installation LEMP

Bonjour,

j'ai essayé d'installer NGINX, PHP et MariaDB :


apt-get install nginx mariadb-server mariadb-client php-mysqli php7.0-fpm


bloc à supprimer si la commande n’affiche rien



J'obtiens les erreurs suivantes :

Paramétrage de nginx-full (1.10.3-1+deb9u1) ...
Job for nginx.service failed because the control process exited with error code.
See "systemctl status nginx.service" and "journalctl -xe" for details.
invoke-rc.d: initscript nginx, action "start" failed.
● nginx.service - A high performance web server and a reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Sat 2018-02-10 15:26:50 CET; 27ms ago
     Docs: man:nginx(8)
  Process: 8468 ExecStart=/usr/sbin/nginx -g daemon on; master_process on; (code=exited, status=1/FAILURE)
  Process: 8465 ExecStartPre=/usr/sbin/nginx -t -q -g daemon on; master_process on; (code=exited, status=0/SUCCESS)

févr. 10 15:26:49 debian nginx[8468]: nginx: [emerg] listen() to [::]:80, …use)
févr. 10 15:26:49 debian nginx[8468]: nginx: [emerg] listen() to 0.0.0.0:8…use)
févr. 10 15:26:49 debian nginx[8468]: nginx: [emerg] listen() to [::]:80, …use)
févr. 10 15:26:50 debian nginx[8468]: nginx: [emerg] listen() to 0.0.0.0:8…use)
févr. 10 15:26:50 debian nginx[8468]: nginx: [emerg] listen() to [::]:80, …use)
févr. 10 15:26:50 debian nginx[8468]: nginx: [emerg] still could not bind()
févr. 10 15:26:50 debian systemd[1]: nginx.service: Control process exited…us=1
févr. 10 15:26:50 debian systemd[1]: Failed to start A high performance we…ver.
févr. 10 15:26:50 debian systemd[1]: nginx.service: Unit entered failed state.
févr. 10 15:26:50 debian systemd[1]: nginx.service: Failed with result 'ex…de'.
Hint: Some lines were ellipsized, use -l to show in full.
dpkg: erreur de traitement du paquet nginx-full (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Paramétrage de php7.0-json (7.0.27-0+deb9u1) ...

Creating config file /etc/php/7.0/mods-available/json.ini with new version
Paramétrage de php7.0-cli (7.0.27-0+deb9u1) ...
update-alternatives: utilisation de « /usr/bin/php7.0 » pour fournir « /usr/bin/php » (php) en mode automatique
update-alternatives: utilisation de « /usr/bin/phar7.0 » pour fournir « /usr/bin/phar » (phar) en mode automatique
update-alternatives: utilisation de « /usr/bin/phar.phar7.0 » pour fournir « /usr/bin/phar.phar » (phar.phar) en mode automatique

Creating config file /etc/php/7.0/cli/php.ini with new version
dpkg: des problèmes de dépendances empêchent la configuration de nginx :
 nginx dépend de nginx-full (<< 1.10.3-1+deb9u1.1~) | nginx-light (<< 1.10.3-1+deb9u1.1~) | nginx-extras (<< 1.10.3-1+deb9u1.1~) ; cependant :
 Le paquet nginx-full n'est pas encore configuré.
  Le paquet nginx-light n'est pas installé.
  Le paquet nginx-extras n'est pas installé.
 nginx dépend de nginx-full (>= 1.10.3-1+deb9u1) | nginx-light (>= 1.10.3-1+deb9u1) | nginx-extras (>= 1.10.3-1+deb9u1) ; cependant :
 Le paquet nginx-full n'est pas encore configuré.
  Le paquet nginx-light n'est pas installé.
  Le paquet nginx-extras n'est pas installé.

dpkg: erreur de traitement du paquet nginx (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de php7.0-fpm (7.0.27-0+deb9u1) ...

Creating config file /etc/php/7.0/fpm/php.ini with new version
NOTICE: Not enabling PHP 7.0 FPM by default.
NOTICE: To enable PHP 7.0 FPM in Apache2 do:
NOTICE: a2enmod proxy_fcgi setenvif
NOTICE: a2enconf php7.0-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Created symlink /etc/systemd/system/multi-user.target.wants/php7.0-fpm.service → /lib/systemd/system/php7.0-fpm.service.
Traitement des actions différées (« triggers ») pour systemd (232-25+deb9u1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 nginx-full
 nginx
E: Sub-process /usr/bin/dpkg returned an error code (1)
 



D'ou proviennent ces erreurs ? Sont-elles liées au fait que Apache soit déjà installé ?

Je n'ai pas le souvenir d'avoir installé Apache. Et il n'apparaît pas dans la liste des paquets installés manuellement.

Hors ligne

#2 10-02-2018 17:46:38

raleur
Membre
Inscription : 03-10-2014

Re : Erreur installation LEMP

Les messages "listen()..." sont tronqués mais je devine qu'ils indiquent que le port convoité est déjà utilisé (par un autre serveur web).
Pour savoir si des paquets apache sont installés :

dpkg -l | grep apache


Pour voir quel processus utilise le port 80 :

netstat -tnlp | grep :80


(installer le paquet net-tools si netstat n'est pas présent)

Hors ligne

#3 10-02-2018 18:41:28

Neuromancien
Membre
Inscription : 03-02-2015

Re : Erreur installation LEMP

Apache est installé.

Apparemment il est installé en tant que dépendance d'un paquet qui s'appelle task-web-server, que je n'ai pas non plus installé manuellement.

Je pense que je vais supprimer tout ça...

Hors ligne

#4 10-02-2018 20:30:48

raleur
Membre
Inscription : 03-10-2014

Re : Erreur installation LEMP

task-web-server est la tâche "serveur web" que tu as dû sélectionner lors de l'étape de sélection des logiciels de l'installation. Tu peux la désélectionner avec tasksel.

Hors ligne

Pied de page des forums